services:
    _defaults:
        autoconfigure: true
        public: true

    designerei\ContaoSpacingBundle\DataContainer\SetOptionsListener:
      arguments:
        - '@designerei\ContaoSpacingBundle\Tailwind\Utilities\Margin'
        - '@designerei\ContaoSpacingBundle\Tailwind\Utilities\Padding'

    designerei\ContaoSpacingBundle\DataContainer\RegisterFieldsInPaletteListener: ~

    designerei\ContaoSpacingBundle\Tailwind\Utilities\Margin:
      arguments:
        - '@designerei\ContaoTailwindBridgeBundle\Tailwind\TailwindClasses'
        - '@designerei\ContaoTailwindBridgeBundle\Tailwind\Safelist'
        - '%contao_spacing.spacing%'

    designerei\ContaoSpacingBundle\Tailwind\Utilities\Padding:
      arguments:
        - '@designerei\ContaoTailwindBridgeBundle\Tailwind\TailwindClasses'
        - '@designerei\ContaoTailwindBridgeBundle\Tailwind\Safelist'
        - '%contao_spacing.spacing%'